var TipViewController = JSB.defineClass('TipViewController : UIViewController <UITextFieldDelegate, UIWebViewDelegate>', {
    viewDidLoad: function() {
      self.navigationItem.title = '10';
      self.view.backgroundColor = UIColor.whiteColor();
      self.view.layer.shadowOffset = {width:0,height:0};
      self.view.layer.shadowRadius = 10;
      self.view.layer.shadowOpacity = 0.5;
      self.view.layer.shadowColor = UIColor.colorWithWhiteAlpha(0.5,1);
  
      var textFieldFrame = {x: 0, y: 0, width: self.view.bounds.width - (20 * 2), height: 30};
  
      var urlField = new UITextField(textFieldFrame);
      urlField.borderStyle = 2;
      urlField.textColor = UIColor.blackColor();
      urlField.delegate = self;
      urlField.placeholder = '<enter autotitle length limit,number only>';
      urlField.text = '10';
      urlField.backgroundColor = UIColor.whiteColor();
      urlField.autoresizingMask = 1 << 1 | 1 << 5;
      urlField.returnKeyType = 1;
      urlField.keyboardType = 3;
      urlField.autocapitalizationType = 0;
      urlField.autocorrectionType = 1;
      urlField.clearButtonMode = 3;
      self.view.addSubview(urlField);
  
    },
   
    textFieldShouldReturn: function(textField) {
      try {
        if(parseInt(textField.text) > 0 && parseInt(textField.text) < 250)
        {
          textField.text = parseInt(textField.text);
        }
        else{
          textField.text = 10;
        }
        
      }
      catch(err) {
        Application.sharedInstance().showHUD("请输入整数",self.window,2);
        textField.text = 10;
      }
      self.navigationItem.title = textField.text;
      return true;
    },
    textFieldShouldEndEditing: function(textField) {
      try {
        if(parseInt(textField.text) > 0 && parseInt(textField.text) < 250)
        {
          textField.text = parseInt(textField.text);
        }
        else{
          textField.text = 10;
        }
        
      }
      catch(err) {
        Application.sharedInstance().showHUD("请输入整数",self.window,2);
        textField.text = 10;
      }
      self.navigationItem.title = textField.text;
      return true;
        },

  
  });
  
